Bug 437841 - EDAC reports many UE while maschine runs fine
EDAC reports many UE while maschine runs fine
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-17 13:56 EDT by Georg Bison
Modified: 2009-01-09 01:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:12:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Georg Bison 2008-03-17 13:56:11 EDT
Description of problem:

On our new workstation (Tyan Tempest i5000XT (S2696), 16GB RAM, 2xE5365) we get
many EDAC errors. Like those:

kernel: EDAC i5000 MC0: FATAL ERRORS Found!!! 1st FATAL Err Reg= 0x4
kernel: EDAC i5000 MC0: >Tmid Thermal event with intelligent throttling disabled
kernel: EDAC MC0: UE row 3, channel-a= 0 channel-b= 1 labels "-": (Branch=0
DRAM-Bank=0 RDWR=Write RAS=4406 CAS=0 FATAL Err=0x4)
kernel: EDAC i5000 MC0: FATAL ERRORS Found!!! 1st FATAL Err Reg= 0x4
kernel: EDAC i5000 MC0: >Tmid Thermal event with intelligent throttling disabled
kernel: EDAC MC0: UE row 3, channel-a= 0 channel-b= 1 labels "-": (Branch=0
DRAM-Bank=0 RDWR=Write RAS=4406 CAS=0 FATAL Err=0x4)
kernel: EDAC i5000 MC0: FATAL ERRORS Found!!! 1st FATAL Err Reg= 0x4
kernel: EDAC i5000 MC0: >Tmid Thermal event with intelligent throttling disabled
kernel: EDAC MC0: UE row 3, channel-a= 0 channel-b= 1 labels "-": (Branch=0
DRAM-Bank=0 RDWR=Write RAS=4406 CAS=0 FATAL Err=0x4)
 
The machine passes several hours of memtest86+ V2.01 without any error showing
up. But under Fedora 8 (Kernel 2.6.24.3-34.fc8) it logs about 500 of such EDAC
errors per day. Otherwise th machine works fine (no crashes and no data
corruption as far as I can tell). 

The EDAC errors always come in groups of tree:
EDAC i5000 MC0: FATAL ERRORS Found!!! 1st FATAL Err Reg= 0x4
EDAC i5000 MC0: >Tmid Thermal event with intelligent throttling disabled
EDAC MC0: UE ... 
Usually they come in bursts of 3 to 10 groups in short succession (one group per
second). The pause between two bursts variates in length (from some seconds to
several minutes).
As far as I understand, UE errors should lead to an immediate system halt. But
they don't.  
Motherboard BIOS and Kernel are up to date. 
I tried to enhance the cooling of the RAM: no change. 
The frequency of EDAC errors seems not to be related to machine load.  
We have a similar machine (same motherboard but less memory and only one E5365)
that works fine. If I exchange the RAM, the other machine starts showing the
same EDAC errors as well. 

Is this a hardware defect or a problem with the EDAC System?
Comment 1 Dave Jones 2008-03-17 14:10:45 EDT
it's logging thermal events, which could be indicative of insufficient cooling.
 memtest may not pick it up because it isn't stressing the whole system, and
hence isn't generating as much heat.
Comment 2 Georg Bison 2008-03-18 04:51:40 EDT
(In reply to comment #1)
> it's logging thermal events, which could be indicative of insufficient cooling.
>  memtest may not pick it up because it isn't stressing the whole system, and
> hence isn't generating as much heat.

As I said: more cooling (with an additional server fan just above the RAM
running at maximum speed - and causing terrible noise) does not change the
behavior. I also don't see a difference if the machine is stressed (using 
stress -v --cpu 7 --io 4 --vm 1 --vm-bytes 15G --hdd 1) or not.
Comment 3 Chuck Ebbert 2008-03-19 10:11:36 EDT
(In reply to comment #0)
> If I exchange the RAM, the other machine starts showing the
> same EDAC errors as well. 
> 
> Is this a hardware defect or a problem with the EDAC System?

I'd say the memory is bad (memtest86 does not find all possible memory errors.)
With some more swapping you should be able to identify a single module that
triggers the mesages.

Comment 4 Bug Zapper 2008-11-26 05:11:55 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 01:12:34 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.